
From: Nigel Cunningham <ncunningham@cyclades.com>

Here are fixes for four try_to_freeze calls that are still (incorrectly)
using a parameter after the recent try_to_freeze() changes.

Signed-Off by: Nigel Cunningham <nigel@suspend2.net>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/mips/kernel/irixsig.c  |    2 +-
 arch/mips/kernel/signal32.c |    2 +-
 arch/sh/kernel/signal.c     |    2 +-
 arch/sh64/kernel/signal.c   |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/mips/kernel/irixsig.c~try_to_freeze-call-fixes arch/mips/kernel/irixsig.c
--- devel/arch/mips/kernel/irixsig.c~try_to_freeze-call-fixes	2005-07-25 20:28:12.000000000 -0700
+++ devel-akpm/arch/mips/kernel/irixsig.c	2005-07-25 20:28:12.000000000 -0700
@@ -178,7 +178,7 @@ asmlinkage int do_irix_signal(sigset_t *
 	if (!user_mode(regs))
 		return 1;
 
-	if (try_to_freeze(0))
+	if (try_to_freeze())
 		goto no_signal;
 
 	if (!oldset)
diff -puN arch/mips/kernel/signal32.c~try_to_freeze-call-fixes arch/mips/kernel/signal32.c
--- devel/arch/mips/kernel/signal32.c~try_to_freeze-call-fixes	2005-07-25 20:28:12.000000000 -0700
+++ devel-akpm/arch/mips/kernel/signal32.c	2005-07-25 20:28:12.000000000 -0700
@@ -774,7 +774,7 @@ int do_signal32(sigset_t *oldset, struct
 	if (!user_mode(regs))
 		return 1;
 
-	if (try_to_freeze(0))
+	if (try_to_freeze())
 		goto no_signal;
 
 	if (!oldset)
diff -puN arch/sh64/kernel/signal.c~try_to_freeze-call-fixes arch/sh64/kernel/signal.c
--- devel/arch/sh64/kernel/signal.c~try_to_freeze-call-fixes	2005-07-25 20:28:12.000000000 -0700
+++ devel-akpm/arch/sh64/kernel/signal.c	2005-07-25 20:28:12.000000000 -0700
@@ -697,7 +697,7 @@ int do_signal(struct pt_regs *regs, sigs
 	if (!user_mode(regs))
 		return 1;
 
-	if (try_to_freeze(0))
+	if (try_to_freeze())
 		goto no_signal;
 
 	if (!oldset)
diff -puN arch/sh/kernel/signal.c~try_to_freeze-call-fixes arch/sh/kernel/signal.c
--- devel/arch/sh/kernel/signal.c~try_to_freeze-call-fixes	2005-07-25 20:28:12.000000000 -0700
+++ devel-akpm/arch/sh/kernel/signal.c	2005-07-25 20:28:12.000000000 -0700
@@ -579,7 +579,7 @@ int do_signal(struct pt_regs *regs, sigs
 	if (!user_mode(regs))
 		return 1;
 
-	if (try_to_freeze(0))
+	if (try_to_freeze())
 		goto no_signal;
 
 	if (!oldset)
_
